Bug 77685 - ping -n -c1 unreachable address hangs forever
ping -n -c1 unreachable address hangs forever
Status: CLOSED DUPLICATE of bug 68919
Product: Red Hat Linux
Classification: Retired
Component: iputils (Show other bugs)
8.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-11 19:03 EST by Stephen Collier
Modified: 2015-03-04 20:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-11-11 19:04:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Collier 2002-11-11 19:03:55 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 95)

Description of problem:
ping -n -c1 <unreachable address> hangs forever and hangs the sensing 
application that depends on it.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.ping -n -c1 <unreachable address>
2.sit back and wait
3.
	

Actual Results:  ping -n -c1 192.168.1.160
PING 192.168.1.160 (192.168.1.160) from 192.168.1.164 : 56(84) bytes of data.
From 192.168.1.164 icmp_seq=1 Destination Host Unreachable

Expected Results:  program returns

Additional info:
Comment 1 giulioo 2002-11-12 06:31:27 EST

*** This bug has been marked as a duplicate of 68919 ***

Note You need to log in before you can comment on or make changes to this bug.